runtime-error- все статьи тега


PowerShell Add-Type: не удается добавить тип. уже существовать

Я использую сценарий PowerShell для запуска кода C# непосредственно в сценарии. Я несколько раз натыкался на ошибку, конкретную ошибку. Если я внесу какие-либо изменения в код C# в PowerShell ISE и попытаюсь запустить его снова, я получу следующую ошибку. Add-Type : Cannot add type. The type name 'AlertsOnOff10.onOff' already exists. At C:UserstestUserDesktoptest.ps1:80 char:1 + Add-Type -TypeDefinition $Source -ReferencedAssemblies $Assem + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ...

Узнайте, где произошла ошибка в Clojure

По большей части я понимаю, что Clojure говорит мне с его сообщениями об ошибках. Но я все еще не соображаете, как выяснить, где произошла ошибка. Вот пример того, что я имею в виду (defn extract [m] (keys m)) (defn multiple [xs] (map #(* 2 %) xs)) (defn process [xs] (-> xs (multiple) ; seq -> seq (extract))) ; map -> seq ... fails (process [1 2 3]) Статически типизированные языки теперь сказали бы мне, что я пытался передать последовательность функции, ко ...

Что вызывает java.ленг.IncompatibleClassChangeError?

я упаковываю библиотеку Java как банку, и она бросает много java.lang.IncompatibleClassChangeErrors, когда я пытаюсь вызвать методы из нее. Эти ошибки кажутся случайными. Какие проблемы могут быть причиной этой ошибки? ...

Как заставить пользователей читать сообщения об ошибках?

Если вы программируете для нетехнической аудитории, вы рискуете, что пользователи не будут читать ваши тщательно сформулированные и просвещающие сообщения об ошибках, а просто нажмите на первую кнопку, доступную с пожатием плеч разочарования. Итак, мне интересно, какие хорошие практики вы можете рекомендовать, чтобы помочь пользователям на самом деле прочитать ваше сообщение об ошибке, а не просто отказаться от него в сторону. Идеи, которые я могу придумать, будут падать по строкам: форматиро ...

javac: недопустимый целевой выпуск: 1.8

недавно я загрузил JDK 1.8.0.0_06, который поставляется в комплекте с NetBeans. Затем я узнал, что мой проект JavaFx, который я разрабатывал в Java 1.7, не будет компилироваться в Java 1.8, и поэтому я снизил свой JDK до 1.7. До сих пор я не могу заставить его работать/ компилировать. Я получаю эту ошибку: javac: invalid target release: 1.8 Usage: javac <options> <source files> Я действительно застрял и был бы очень признателен за любую помощь. ...